%define api_version 1.1
%define pkg_name geronimo-commonj_%{api_version}_spec

Name:          geronimo-commonj-1.1-api
Version:       1.0
Release:       %mkrel 4
Summary:       Commonj 1.1 API
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/1_1_1/geronimo-spec-commonj/ geronimo-commonj_1.1_spec-1.0
# tar czf geronimo-commonj_1.1_spec-1.0-src-svn.tar.gz geronimo-commonj_1.1_spec-1.0
Source0:       geronimo-commonj_1.1_spec-1.0-src-svn.tar.gz
Patch0:        geronimo-commonj-1.1-api-pom_xml.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo Commonj 1.1 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Commonj 1.1 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}
for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done
%patch0 -p0
%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-commonj-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-commonj-%{api_version}-api-%{version}.jar geronimo-commonj-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-commonj-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-commonj-%{api_version}-api.pom geronimo-commonj-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-commonj-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-commonj-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-commonj-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-commonj-1.1-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-commonj-%{api_version}-api


%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.0-4.mga4
+ Revision: 504957
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 351414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 139101
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-commonj-1.1-api

